Create membership activation PaymentIntent
curl --request POST \
--url https://api.creditor.younegotiate.com/account-profile/billing/payment-intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"payment_method": "cc"
}
'import requests
url = "https://api.creditor.younegotiate.com/account-profile/billing/payment-intents"
payload = { "payment_method": "cc" }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({payment_method: 'cc'})
};
fetch('https://api.creditor.younegotiate.com/account-profile/billing/payment-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Membership payment started.",
"data": {
"id": 123,
"client_secret": "<string>",
"amount": 10000,
"currency": "usd"
}
}{
"message": "Membership payment started.",
"data": {
"id": 123,
"client_secret": "<string>",
"amount": 10000,
"currency": "usd"
}
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"code": "platform_billing_unavailable",
"message": "Platform billing is temporarily unavailable. Please try again."
}Create membership activation PaymentIntent
Create or replay a Stripe PaymentIntent for the selected card or ACH method and membership amount. Pass the returned client secret only to Stripe.js and reuse the same Idempotency-Key UUID when retrying one browser attempt.
POST
/
account-profile
/
billing
/
payment-intents
Create membership activation PaymentIntent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Stable UUID generated once for this browser payment attempt.
Body
application/json
Available options:
cc, ach Last modified on July 27, 2026
Was this page helpful?
⌘I

